View Issue Details

IDProjectCategoryView StatusLast Update
0002083ScribusStory Editor / Text Framespublic2006-10-02 07:56
Reporterjo-hannes Assigned Toplinnell 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.2cvs 
Target VersionFixed in Version1.3.3.4cvs 
Summary0002083: inserting any text places the cursor in front of the inserted text although it should be after the inserted text
Description.
TagsNo tags attached.
Patch

Relationships

child of 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

2006-09-21 20:05

 

story.cpp.diff (1,029 bytes)
559c559
< void SEditor::insStyledText()
---
> void SEditor::insStyledText(int *newParaCount, int *lengthLastPara)
590a591,592
> 			(*newParaCount)++;
>                         *lengthLastPara = 0;
638a641
>                         (*lengthLastPara)++;
1554c1557
< 	int newParaCount, lengthLastPara;
---
> 	int newParaCount = 0, lengthLastPara = 0;
1556d1558
< 	getCursorPosition(&currentPara, &currentCharPos);
1558c1560,1564
< 		insStyledText();
---
> 	{
> 		insStyledText(&newParaCount, &lengthLastPara);
> 		getCursorPosition(&currentPara, &currentCharPos); //must be after call to insStyledText
> 		inserted = true;
> 	}
1560a1567
> 		getCursorPosition(&currentPara, &currentCharPos);
1567c1574
< 			newParaCount=data.contains("\n");
---
> 			newParaCount=data.contains("\n"); 
1568a1576
> 			lengthLastPara--;
1583c1591
< 		setCursorPosition(currentPara+newParaCount,(newParaCount==0?currentCharPos:0)+lengthLastPara-1);
---
> 		setCursorPosition(currentPara+newParaCount,(newParaCount==0?currentCharPos:0)+lengthLastPara);
story.cpp.diff (1,029 bytes)

2006-09-21 20:06

 

story.h.diff (102 bytes)
106c106
< 	void insStyledText();
---
> 	void insStyledText(int *newParaCount, int *lengthLastPara);		
story.h.diff (102 bytes)

gustavohomem

2006-09-21 20:11

reporter   ~0012588

Tested with: 1.3.3.4cvs, internal copy/paste from SE and external copy/paste from kwrite.

If this patch works for everyone, please include this fix for 1.3.3.4.

plinnell

2006-09-25 21:46

viewer   ~0012618

commited to 1.3.3.4cvs, but 1.3.4 needs something else with the new text layout code

Issue History

Date Modified Username Field Change
2005-06-11 12:46 jo-hannes New Issue
2005-10-06 23:37 plinnell Status new => confirmed
2005-10-06 23:37 plinnell Product Version 1.3.0cvs => 1.3.2cvs
2005-10-11 09:15 cbradney Assigned To => cbradney
2005-10-11 09:15 cbradney Status confirmed => assigned
2005-10-11 09:22 cbradney Status assigned => resolved
2005-10-11 09:22 cbradney Fixed in Version => 1.3.2cvs
2005-10-11 09:22 cbradney Resolution open => fixed
2005-10-16 18:20 cbradney Status resolved => closed
2006-09-21 20:05 plinnell File Added: story.cpp.diff
2006-09-21 20:06 plinnell File Added: story.h.diff
2006-09-21 20:10 plinnell Status closed => feedback
2006-09-21 20:10 plinnell Resolution fixed => reopened
2006-09-21 20:11 gustavohomem Note Added: 0012588
2006-09-25 20:57 plinnell Status feedback => assigned
2006-09-25 20:57 plinnell Assigned To cbradney => plinnell
2006-09-25 21:46 plinnell Note Added: 0012618
2006-09-25 21:46 plinnell Fixed in Version 1.3.2cvs => 1.3.3.4cvs
2006-10-01 23:08 plinnell Status assigned => resolved
2006-10-01 23:08 plinnell Resolution reopened => fixed
2006-10-02 07:56 plinnell Status resolved => closed
2007-05-23 21:21 christoph_s Relationship added related to 0003157
2007-05-23 21:21 christoph_s Relationship replaced child of 0003157
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames